summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBob Ippolito <bob@redivi.com>2018-01-22 10:41:56 -0800
committerBob Ippolito <bob@redivi.com>2018-01-22 10:41:56 -0800
commitf3f0e55ff0d209bcfcec5abdb2b2626404a0d9d0 (patch)
tree01538201fac02ecbea6c2790e3eb3a43c6866137
parent2987a3530808bcfa7103dc92a780ce5b2a40b744 (diff)
downloadxattr-f3f0e55ff0d209bcfcec5abdb2b2626404a0d9d0.tar.gz
maybe get pypy builds working with pip
-rwxr-xr-x.travis/install.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/.travis/install.sh b/.travis/install.sh
index 0b95980..c003979 100755
--- a/.travis/install.sh
+++ b/.travis/install.sh
@@ -10,6 +10,8 @@ if [[ -n "$PYENV_VERSION" ]]; then
eval "$(pyenv init -)"
pyenv install --list
pyenv install -s "$PYENV_VERSION"
- which pip || (curl -O https://bootstrap.pypa.io/get-pip.py && python get-pip.py)
+ pyenv rehash
+ which pip &> /dev/null || (curl -O https://bootstrap.pypa.io/get-pip.py && python get-pip.py)
+ pyenv rehash
pip install wheel
fi